[arch-commits] Commit in (4 files)

Ronald van Haren ronald at archlinux.org
Mon Aug 18 05:23:25 EDT 2008


    Date: Monday, August 18, 2008 @ 05:23:25
  Author: ronald
Revision: 9708

add wxmaxima to extra repo

Added:
  wxmaxima/
  wxmaxima/repos/
  wxmaxima/trunk/
  wxmaxima/trunk/PKGBUILD

----------+
 PKGBUILD |   31 +++++++++++++++++++++++++++++++
 1 file changed, 31 insertions(+)

Added: wxmaxima/trunk/PKGBUILD
===================================================================
--- wxmaxima/trunk/PKGBUILD	                        (rev 0)
+++ wxmaxima/trunk/PKGBUILD	2008-08-18 09:23:25 UTC (rev 9708)
@@ -0,0 +1,31 @@
+# $Id: PKGBUILD,v 1.10 2008/05/13 19:03:39 pressh Exp $
+# Maintainer: Ronald van Haren <ronald.archlinux.org>
+# Contributor: Angelo Theodorou <encelo at users.sourceforge.net>
+# Contributor: Vinay S Shastry <vinayshastry at gmail.com>
+
+pkgname=wxmaxima
+pkgver=0.7.5
+pkgrel=2
+pkgdesc="A wxWidgets GUI for the computer algebra system Maxima"
+arch=('i686' 'x86_64')
+url="http://wxmaxima.sourceforge.net/"
+license=('GPL2')
+depends=('maxima>=5.15' 'libxml2' 'wxgtk')
+source=(http://downloads.sourceforge.net/$pkgname/wxMaxima-$pkgver.tar.gz)
+md5sums=('469014a84aca3f334d1e19042208d54b')
+
+build() {
+  cd $srcdir/wxMaxima-$pkgver
+  ./configure --prefix=/usr
+  make || return 1
+  make DESTDIR=$pkgdir install || return 1
+
+  #fix category in .desktop file
+  sed -i -e 's/Utility;X-Red-Hat-Base;X-Red-Hat-Base-Only;/Science;Math;/' wxmaxima.desktop
+  
+  # install desktop file and icon
+  install -Dm644  wxmaxima.desktop \
+  	$pkgdir/usr/share/applications/wxmaxima.desktop
+  install -Dm644  $srcdir/wxMaxima-$pkgver/wxmaxima.png \
+  	$pkgdir/usr/share/pixmaps/wxmaxima.png
+}




More information about the arch-commits mailing list